From a95088aae4d21c1934ead98f80cd27ed2ccff9a4 Mon Sep 17 00:00:00 2001
From: Jasmin Dizdarevic <jasmin.dizdarevic@gmail.com>
Date: Thu, 16 Jun 2011 18:48:54 +0200
Subject: [PATCH] Fix infinite loop when foreign table has no options defined.

---
 pgadmin/schema/pgForeignTable.cpp |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/pgadmin/schema/pgForeignTable.cpp b/pgadmin/schema/pgForeignTable.cpp
index e53494a..e92f740 100644
--- a/pgadmin/schema/pgForeignTable.cpp
+++ b/pgadmin/schema/pgForeignTable.cpp
@@ -219,6 +219,10 @@ pgObject *pgForeignTable::Refresh(ctlTree *browser, const wxTreeItemId item)
 
 void pgForeignTable::iSetOptions(const wxString &tmpoptions)
 {
+	
+	if(tmpoptions == wxT(""))
+		return;
+	
 	wxString tmp;
 	wxString option;
 	wxString value;
-- 
1.7.3.1.msysgit.0
